This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

List certificates

1 - 1.2

get /v1/certificatemanager

Description

List Certificates

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryisMine
optional
Is it my certificate
Example : False
any of [boolean, null]False
queryname
optional
Certificate Name
Example : test-certificate
any of [string, null]None
querycn
optional
Certificate Common Name
Example : test.go.kr
any of [string, null]None
querystate
optional
Certificate State
Example : VALID
any of [array[string], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCertificateListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.2"

Example HTTP response

Response 200

{
    "certificates": [
        {
            "cert_kind": "PRD",
            "cn": "test.go.kr",
            "id": "",
            "name": "test-certificate",
            "not_after_dt": "2026-02-07T18:07:59",
            "not_before_dt": "2025-02-08T18:07:00",
            "state": "VALID"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

2 - 1.1

get /v1/certificatemanager

Description

List Certificates

State ACTIVE (SUPPORTED)

VersionNot Before
1.120260831

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryisMine
optional
Is it my certificate
Example : False
any of [boolean, null]False
queryname
optional
Certificate Name
Example : test-certificate
any of [string, null]None
querycn
optional
Certificate Common Name
Example : test.go.kr
any of [string, null]None
querystate
optional
Certificate State
Example : VALID
any of [array[string], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCertificateListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.1"

Example HTTP response

Response 200

{
    "certificates": [
        {
            "cert_kind": "PRD",
            "cn": "test.go.kr",
            "id": "",
            "name": "test-certificate",
            "not_after_dt": "2026-02-07T18:07:59",
            "not_before_dt": "2025-02-08T18:07:00",
            "state": "VALID"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

3 - 1.0

get /v1/certificatemanager

Description

List Certificates

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryisMine
optional
Is it my certificate
Example : False
any of [boolean, null]False
queryname
optional
Certificate Name
Example : test-certificate
any of [string, null]None
querycn
optional
Certificate Common Name
Example : test.go.kr
any of [string, null]None
querystate
optional
Certificate State
Example : VALID
any of [array[string], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCertificateListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.0"

Example HTTP response

Response 200

{
    "certificates": [
        {
            "cert_kind": "PRD",
            "cn": "test.go.kr",
            "id": "",
            "name": "test-certificate",
            "not_after_dt": "2026-02-07T18:07:59",
            "not_before_dt": "2025-02-08T18:07:00",
            "state": "VALID"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}